Subject: Re: [PATCH] rebase: add a config option for --no-fork-point

From: Junio C Hamano <[email-masked]>
Date: Thu, 18 Feb 2021 15:29:50 -0800

Alex Henrie <[email-masked]> writes:

> On Thu, Jan 21, 2021 at 4:45 PM Denton Liu <[email-masked]> wrote:
>>
>> On Thu, Jan 21, 2021 at 04:25:25PM -0700, Alex Henrie wrote:
>> > I didn't see any fork-point tests in the current codebase, but I can
>> > work on adding some. Do you want them in a separate patch (that would
>> > make the most sense to me), or squashed into the rebase.forkPoint
>> > patch?
>>
>> The fork-point tests should be in t3431.
>
> Derp! For some reason I thought that t3431 only tested --fork-point
> with an ambiguous refname and that the other tests were unrelated.
> Maybe we should make copies of some of those tests that set
> rebase.forkPoint instead of passing --fork-point or --no-fork-point on
> the command line.

Ping.

Any progress on this topic?  It's been almost a month without seeing
any activity.

Thanks.